module.exports = function(codigo) {

  var tablaAfip = [
    {
      codigo: 1,
      letraComprobante: 'A',
      tipoComprobante: 'FT'
    },
    {
      codigo: 7,
      letraComprobante: 'B',
      tipoComprobante: 'ND'
    },
    {
      codigo: 8,
      letraComprobante: 'B',
      tipoComprobante: 'NC'
    },
    {
      codigo: 15,
      letraComprobante: 'C',
      tipoComprobante: 'RE'
    },
    {
      codigo: 60,
      letraComprobante: 'A',
      tipoComprobante: 'LP'
    },
    {
      codigo: 61,
      letraComprobante: 'B',
      tipoComprobante: 'LP'
    }
  ]

  var result = tablaAfip.filter(function(comprobante) {
    return comprobante.codigo == parseInt(codigo)
  })[0];

  if (!result) {
    result = {
      letraComprobante: 'CIB',
      tipoComprobante: 'CI'
    }
  }

  return result;

}
