module.exports = function (nameFile) {

  return new Promise(function (resolve, reject) {

    var nameFileDest = nameFile.split('\\')[nameFile.split('\\').length - 1];

    knex('planex_transacciones')
      .where({ archivoRecibido: nameFileDest })
      .then(function (values) {

        if (values.length) {
          reject('Ya existe el comprobante', values);
        } else {
          resolve();
        }
      });
  });
}
