module.exports = function(comprobante, returnFloatByDecimals, result) {

  var comprobanteArr = comprobante.split(';');

  var detalleDescuentos = {
    numeroLinea: comprobanteArr[1],
    descripcionImpuesto: comprobanteArr[2],
    procentajeImpuesto: returnFloatByDecimals(comprobanteArr[3], 2),
    importeBase: returnFloatByDecimals(comprobanteArr[4], 2),
    importeImpuesto: returnFloatByDecimals(comprobanteArr[5], 2)
  };

    var item = result.itemsFactura.filter(function(item) {
      return detalleDescuentos.numeroLinea == item.numeroLinea;
    })[0];

    switch (detalleDescuentos.descripcionImpuesto) {
      case 'C05':
        item.percepcionIVA = detalleDescuentos;
        break;
      case 'C06':
        item.percepcionIIBB = detalleDescuentos;
        break;
      case 'C07':
        item.impuestoInterno = detalleDescuentos;
        break;
      case 'C08':
        item.impuestoAbasto = detalleDescuentos;
        break;
      case 'ITC':
        item.impuestoTransferenciaCombustibles = detalleDescuentos;
        break;
      case 'C10':
        item.percepcionImpuestosMunicipales = detalleDescuentos;
        break;
      default:
        break;
    }

  return detalleDescuentos;
}
