module.exports = function(comprobante, returnFloatByDecimals, result) {

  var comprobanteArr = comprobante.split(';');

  var detalleOtrosImpuestos = {
    descripcionImpuesto: comprobanteArr[1],
    porcentaje: returnFloatByDecimals(comprobanteArr[2], 2),
    importeBase: returnFloatByDecimals(comprobanteArr[3], 2),
    importeImpuesto: returnFloatByDecimals(comprobanteArr[4], 2),
    codigoArancelImpuestoOCuota: comprobanteArr[5],
    jurisdiccion: comprobanteArr[6]
  };

  switch (detalleOtrosImpuestos.codigoArancelImpuestoOCuota) {
    case 'C05':

      result.detalleOtrosImpuestosComprobante.percepcionIVA = detalleOtrosImpuestos;
      break;

    case 'C07':

      result.detalleOtrosImpuestosComprobante.impuestoInterno = detalleOtrosImpuestos;
      break;

    case 'C08':

      result.detalleOtrosImpuestosComprobante.impuestoAbasto = detalleOtrosImpuestos;
      break;

    case 'C09':

      result.detalleOtrosImpuestosComprobante.impuestoVideo = detalleOtrosImpuestos;
      break;

    case 'ITC':

      result.detalleOtrosImpuestosComprobante.impuestoTransferenciaCombustibles = detalleOtrosImpuestos;
      break;

    case 'C12':

      result.detalleOtrosImpuestosComprobante.percepcionNoCategorizadosORNI = detalleOtrosImpuestos;
      break;
    default:
      break;
  }

  return;
}
