module.exports = function(comprobante, returnFloatByDecimals) {

  var comprobanteArr = comprobante.split(';');

  return {
    codigoJurisdiccionIB: comprobanteArr[1],
    importePercepcionesIB: returnFloatByDecimals(comprobanteArr[2], 2),
    jurisdiccionImpuestosMunicipales: comprobanteArr[3],
    importePercepcionesImpuestosMunicipales: returnFloatByDecimals(comprobanteArr[4], 2),
    descripcionPercepcionIB: comprobanteArr[5],
    porcentajePercepcionesIB: returnFloatByDecimals(comprobanteArr[6], 2),
    importeBasePercepcionesIB: returnFloatByDecimals(comprobanteArr[7], 2),
    porcentajePercepcionesImpuestosMunicipales: returnFloatByDecimals(comprobanteArr[8], 2),
    importeBasePercepcionesImpuestosMunicipales: returnFloatByDecimals(comprobanteArr[9], 2)
  };
}
