module.exports = function(comprobante) {

  var comprobanteArr = comprobante.split(';');

  return {
    tipo: comprobanteArr[1],
    numero: parseInt(comprobanteArr[2]),
    numeroRegistrado: parseInt(comprobanteArr[3]),
    puntoVenta: parseInt(comprobanteArr[4]),
    fechaComprobante: comprobanteArr[5],
    fechaVencimiento: comprobanteArr[6],
    fechaSegundoVencimiento: comprobanteArr[7],
    fechaProximoVencimiento: comprobanteArr[8],
    condicionPago: comprobanteArr[9],
    caeOCaea: comprobanteArr[10],
    fechaVencimientoCaeOCaea: comprobanteArr[11],
    cai: comprobanteArr[12],
    fechaVencimientoCai: comprobanteArr[14],
    motivo: comprobanteArr[15],
    fechaServicioDesde: comprobanteArr[16],
    fechaServicioHasta: comprobanteArr[17],
    codigoControladorFiscal: comprobanteArr[17],
    codigoOperacion: comprobanteArr[18],
    cantidadHojas: comprobanteArr[19],
    datosCodigoBarraParaCobranza: comprobanteArr[20],
    datosOtroCodigoBarras: comprobanteArr[21],
    datosCodigoParaPagoElectronico: comprobanteArr[22],
    fechaAnulacion: comprobanteArr[23],
    fechaEntrega: comprobanteArr[24],
    numeroVisualizador: comprobanteArr[25]
  };
}
