module.exports = function(comprobante, returnFloatByDecimals) {

  var comprobanteArr = comprobante.split(';');

  return {
    saldoAnterior: returnFloatByDecimals(comprobanteArr[1], 2),
    totalBruto: returnFloatByDecimals(comprobanteArr[2], 2),
    totalNeto: returnFloatByDecimals(comprobanteArr[3], 2),
    totalOperacion: returnFloatByDecimals(comprobanteArr[4], 2),
    totalConceptosNoNetoGravado: returnFloatByDecimals(comprobanteArr[5], 2),
    netoGravado: returnFloatByDecimals(comprobanteArr[6], 2),
    liquidado: returnFloatByDecimals(comprobanteArr[7], 2),
    liquidadoRNI: returnFloatByDecimals(comprobanteArr[8], 2),
    importeOperacionesExentas: returnFloatByDecimals(comprobanteArr[9], 2),
    importeActaImpuestosNacionales: returnFloatByDecimals(comprobanteArr[10], 2),
    importeIB: returnFloatByDecimals(comprobanteArr[11], 2),
    importeImpuestosMunicipales: returnFloatByDecimals(comprobanteArr[12], 2),
    importeImpuestosInternos: returnFloatByDecimals(comprobanteArr[13], 2),
    transporte: returnFloatByDecimals(comprobanteArr[14], 2),
    monedaFacturacion: comprobanteArr[15],
    tipoCambioFacturacion: returnFloatByDecimals(comprobanteArr[16], 2),
    cantidadAlicuotasIVA: comprobanteArr[17],
    totalFacturaSegundoVencimiento: returnFloatByDecimals(comprobanteArr[18], 2),
    observaciones: comprobanteArr[19],
    observacionesDebitoAutomatico: comprobanteArr[20],
    fechaTipoCambioFacturacion: comprobanteArr[21],
    monedaPago: comprobanteArr[22],
    tipoCambioMonedaPago: returnFloatByDecimals(comprobanteArr[23], 6),
    fechaTipoCambioPago: comprobanteArr[24],
    importeOtrosTributos: returnFloatByDecimals(comprobanteArr[25], 2)
  };
}
